%PPIPLOTZ Plots ppi of Vel/Width

%---------------------------------

if plotall==0
clf;
amboth=uimenu('Label','Axes');
uimenu(amboth,'Label','Match Doppler axes','Callback','xlim=get(axppi,''xlim'');,ylim=get(axppi,''ylim'');,axes(axppiv);,axis([xlim,ylim]);')
uimenu(amboth,'Label','Run trackdata','Callback','trackdata;');

drawnow;

end


[mm nn]=size(width_h');
angles=azim(1:mm)'-90;
Y=range'*cos(angles'*pi/180);
X=range'*sin(angles'*pi/180);
	
%colormap(jet(100));

if plppiv == 'v  '
	var=v;
	minvar=-15;
	maxvar=15;
elseif plppiv == 'wih'
	var=width_h;
	index=(var < 0);
	var(index)=NaN;
	minvar=wimin;
	maxvar=wimax;
else
	var=width_v;
	index=(var < 0);
	var(index)=NaN;
	minvar=wimin;
	maxvar=wimax;
end
var(index)=NaN;

xmin=round(min(min(X)));xmax=round(max(max(X)));ymin=round(min(min(Y)));ymax=round(max(max(Y)));

xt=5; yt=5;

if (xmax-xmin) > (ymax-ymin)
	width=0.8*25/35;
	height=0.8*(ymax-ymin)/(xmax-xmin);
else
	width=(0.8*25/35)*(xmax-xmin)/(ymax-ymin);
	height=0.8;
end

rmin=min(min(range));
rmax=max(max(range));
phimin=min(min(angles));
phimax=max(max(angles));

%-------------------------------
axppiv=axes('position',[.1 .1 width height]);
eval(['grid ' showgrid]);
hold on;
set(gca,'TickDir','out');
axis([xmin xmax ymin ymax]);
set(gca,'Box','on');
%set(gca,'Xtick',[xmin:xt:xmax]);
%set(gca,'Ytick',[ymin:yt:ymax]);

xl=xlabel('East (km)');
yl=ylabel('North (km)');

title([plppiz ' : Tape ',int2str(file),' Raster ',int2str(raster),' Scan ',int2str(scan)...
	,' ',int2str(day),'/',int2str(month),'/',int2str(year)...
        ,' ',int2str(start_hour),':',int2str(start_min),':',int2str(start_sec)...
        ,' el ',num2str(mean(elev)),' deg']);


pc_ppiv=pcolor(X,Y,var);
caxis([minvar maxvar]);
shading('flat');
hold on

co=colorbar('ver');
set(axppiv,'position',[.1 .1 width height]);
set(co,'position',[.15+width .25 .03 .5]);
set(co,'tickdir','out');
%---------------------------------
set(gcf,'papertype','a4');
set(gcf,'paperorientation','landscape');
set(gcf,'paperposition',[0.5 0.5 10.5 7.5]);

plotall=0;


