%STRAEMOVERLAY: Routine used by streammenu
%to overlay streamfunction on rhiplot, and preview the result 
%of a streamfunction calc.

%maxsf=max(max(sf));minsf=min(min(sf));
maxsf=40;minsf=-40;

if overlay == 0
	disp('Plotting...');
	figure(15)
	clf

	axis([xrmin xrmax zrmin zrmax]);
	hold on
	if underlay == 1
		p=pcolor(X,Z,sh);
		shading flat
		caxis([shmin shmax]);
		colorbar
	elseif underlay == 2
		p=pcolor(X,Z,v);
		caxis(fliplr(-[vmin vmax]-backspeed));
	 	shading('flat');
	elseif underlay == 3
		p=pcolor(xr,zr,shr');
		caxis([shmin shmax]);
	elseif underlay == 4
		p=pcolor(xr,zr,vr');
		caxis(fliplr(-[vmin vmax]-backspeed));
	elseif underlay == 5
		p=pcolor(xr,zr,vr2');
		caxis(fliplr(-[vmin vmax]-backspeed));
	elseif underlay == 6
		p=pcolor(xr,zr,wr');
%		caxis(fliplr(-[vmin vmax]-backspeed));
	end
	colorbar
	shading flat;
	hold on;
	if exist('cint')==0,cint=1;end
	if min(min(sf)) < -cint
		[c,h1]=contour(xr,zr,sf',[minsf:cint:-cint],'k');
	end
	if max(max(sf)) > cint
		[c,h2]=contour(xr,zr,sf',[cint:cint:maxsf],'k');
	end
	[c,h3]=contour(xr,zr,sf',[0 0],'k');
	[c,h4]=contour(xr,zr,sf',[0 0],'--w');
	
	set(h3,'linewidth',1);

	disp('Done plotting preview');

else % overlay on rhiplot, rhiplotz...
	cint=1;
	cint=input('Contour interval : ');
	strip='y';
	strip=input('Draw zero contour with a stripe [y/n] : ','s');
	
	if exist('ht')
		if isempty(find(ishandle(ht)~=1))
			delete(ht);
		end
	end
	if exist('hb')
		if isempty(find(ishandle(hb)~=1))
			delete(hb);
		end
	end
	if exist('htz')
		if isempty(find(ishandle(htz)~=1))
			delete(htz);
		end
	end
	if exist('hbz')
		if isempty(find(ishandle(hbz)~=1))
			delete(hbz);
		end
	end

	figure(win_rhi)

	if (strip == 'y')
	
		axes(axrtop);
		hold on
		[c,ht3]=contour(xr,zr,sf',[0 0],'k');
		[c,ht4]=contour(xr,zr,sf',[0 0],'--w');
		ht1=ht3;
		ht2=ht4;
		if min(min(sf)) < -cint
			[c,ht1]=contour(xr,zr,sf',[minsf:cint:-cint],'k');
		end
		if max(max(sf)) > cint
			[c,ht2]=contour(xr,zr,sf',[cint:cint:maxsf],'k');
		end
		
		set(ht3,'linewidth',1);
		
		axes(axrbot);
		hold on
		[c,hb3]=contour(xr,zr,sf',[0 0],'k');
		[c,hb4]=contour(xr,zr,sf',[0 0],'--w');
		hb1=hb3;
		hb2=hb4;
		if min(min(sf)) < -cint
			[c,hb1]=contour(xr,zr,sf',[minsf:cint:-cint],'k');
		end
		if max(max(sf)) > cint
			[c,hb2]=contour(xr,zr,sf',[cint:cint:maxsf],'k');
		end
		
		set(hb3,'linewidth',1);
		
		ht=[ht1' ht2' ht3' ht4'];
		hb=[hb1' hb2' hb3' hb4'];
		
	else

		axes(axrtop);
		hold on
		[c,ht]=contour(xr,zr,sf',minsf:cint:maxsf,'k');
		set(ht,'linewidth',1);
		
		axes(axrbot);
		hold on
		[c,hb]=contour(xr,zr,sf',minsf:cint:maxsf,'k');
		set(hb,'linewidth',1);
		
	end
		
	disp('type delete(ht) or delete(hb) to delete Doppler streamlines...');

if exist('axrztop')

	if (strip == 'y')
		figure(win_rhiz)
	axes(axrztop);
	hold on
	[c,ht3]=contour(xr,zr,sf',[0 0],'k');
	[c,ht4]=contour(xr,zr,sf',[0 0],'--w');
	ht1=ht3;
	ht2=ht4;
	if min(min(sf)) < -cint
		[c,ht1]=contour(xr,zr,sf',[minsf:cint:-cint],'k');
	end
	if max(max(sf)) > cint
		[c,ht2]=contour(xr,zr,sf',[cint:cint:maxsf],'k');
	end

	set(ht3,'linewidth',1);

	axes(axrzbot);
	hold on
	[c,hb3]=contour(xr,zr,sf',[0 0],'k');
	[c,hb4]=contour(xr,zr,sf',[0 0],'--w');
	hb1=hb3;
	hb2=hb4;
	if min(min(sf)) < -cint
		[c,hb1]=contour(xr,zr,sf',[minsf:cint:-cint],'k');
	end
	if max(max(sf)) > cint
		[c,hb2]=contour(xr,zr,sf',[cint:cint:maxsf],'k');
	end
	
	set(hb3,'linewidth',1);

	htz=[ht1' ht2' ht3' ht4'];
	hbz=[hb1' hb2' hb3' hb4'];

	else

		axes(axrztop);
		hold on
		[c,htz]=contour(xr,zr,sf',minsf:cint:maxsf,'k');
		set(htz,'linewidth',1);
		
		axes(axrzbot);
		hold on
		[c,hbz]=contour(xr,zr,sf',minsf:cint:maxsf,'k');
		set(hbz,'linewidth',1);
		
	end
		
	disp('type delete(htz) or delete(hbz) to delete reflectivity streamlines...');

end

end
