%Plots ppi of Doppler velocity

danplot_vars

clf;
drawnow;
%colormap(jet(100));
[mm nn]=size((phi_dp)');
angles=azim(1:mm)'-90;
Y=range'*cos(angles'*pi/180);
X=range'*sin(angles'*pi/180);
X=X.';
Y=Y.';

velo='v2';
velmin=-16;

if velo=='ph'
   vmin=-60;
   vmax=60;
   dv=20;
   v=phi_dp.';
end
if velo=='dp' % works out dphi_dp_dz
   vmin=0;
   vmax=15;
   dv=2;
	[vx vy]=gradient(phi_dp,.2);
	dr=gradient(range);
	gap=dr'*ones(size(angles))';
	phi_dp_dr=vy./gap;
	v=smooth2(phi_dp_dr',1);
end
if velo=='v1'
   vmin=-7.5;
   vmax=7.5;
   dv=1.25;
   v=v1.';
end
if velo=='vo'
	vmin=-10;
	vmax=25;
	dv=5;
	[vx vy]=gradient(unfold(v2,velmin));
	dang=gradient(angles);
	gap=range'*sin(dang*pi/180)';
	vort=vx./gap;
	v=vort';
end
if velo=='va'
	vmin=1;
	vmax=30;
	dv=10;
	va=vari(unfold(v2,velmin))';
	v=va;
	index=find(v<1);
	v(index)=NaN;
	map=colormap;
	map(length(map),:)=[.9 .9 .9];
	colormap(map);
end
if velo=='v2'
   vmin=-15;
   vmax=10;
   dv=2;
   v=unfold(v2.',velmin);
%	v=v2';
	if runzapppi>=2
	disp('unfolding...');
		v=munfold(v2.');
		v=mzap(v,6,4,4);
		vel2=mzap(v,4,3,0);
		vmin=min(min(vel2));
		vmax=max(max(vel2));
	disp('plotting...');
	elseif runzapppi==1
		v=mzap(v,6,4,4);
	end

end

%v=mzap(v,6,4,4);


xmin=round(min(min(X)));xmax=round(max(max(X)));ymin=round(min(min(Y)));ymax=round(max(max(Y)));

xmin=25;xmax=40;ymin=25;ymax=40;
%xmin=15;xmax=45;ymin=-20;ymax=50;
%xmin=5;xmax=35;ymin=17.5;ymax=49.5;

xt=5; yt=5;

if (xmax-xmin) > (ymax-ymin)
	width=0.8*25/35;
	height=0.8*(ymax-ymin)/(xmax-xmin);
else
	width=(0.8*25/35)*(xmax-xmin)/(ymax-ymin);
	height=0.8;
end

rmin=min(min(range));
rmax=max(max(range));
phimin=min(min(angles));
phimax=max(max(angles));

%-------------------------------
axppi=axes('position',[.1 .1 width height]);
hold on;
set(gca,'TickDir','out');
axis([xmin xmax ymin ymax]);
set(gca,'Box','on');
set(gca,'Xtick',[xmin:xt:xmax]);
set(gca,'Ytick',[ymin:yt:ymax]);

  xlabel('East (km)');
  ylabel('North (km)');

%title([velo ' : Tape ',int2str(file),' Raster ',int2str(raster),' Scan ',int2str(scan)...
%	,' ',int2str(day),'/',int2str(month),'/',int2str(year)...
%        ,' 16:35 BST el ',num2str(mean(elev)),' deg']);

title('Doppler Velocity at 18:04')

ir=1:length(range);
it=1:length(angles);

ir=30:200;
it=1200:length(angles);

pcolor(X(it,ir)',Y(it,ir)',v(it,ir)');

% pcolor(X',Y',v');
% pcolor(X',Y',phi_dp);
 caxis([vmin vmax]);
% caxis([-90 90]);
 shading('flat');
 hold on

co=colorbar('ver');
set(axppi,'position',[.1 .1 width height]);
set(co,'position',[.15+width .25 .03 .5]);
set(co,'tickdir','out');
%---------------------------------
set(gcf,'papertype','a4');
set(gcf,'paperorientation','landscape');
set(gcf,'paperposition',[0.5 0.5 10.5 7.5]);

set(gcf,'paperorientation','portrait');
set(gcf,'paperposition',[0.5 0.5 5.25 3.75]);




